Package org.apache.commons.jxpath.ri.model.beans

# Class CollectionChildNodeIterator

java.lang.Object
org.apache.commons.jxpath.ri.model.beans.CollectionNodeIterator
org.apache.commons.jxpath.ri.model.beans.CollectionChildNodeIterator

All Implemented Interfaces:
  `NodeIterator`

public class CollectionChildNodeIterator extends CollectionNodeIterator
Combines child node iterators of all elements of a collection into one aggregate child node iterator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectionChildNodeIterator(CollectionPointer pointer, NodeTest test, boolean reverse, NodePointer startWith)`
  Constructs a new CollectionChildNodeIterator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected NodeIterator`
  `getElementNodeIterator(NodePointer elementPointer)`
  Implemented by subclasses to produce child/attribute node iterators.

  ### Methods inherited from class org.apache.commons.jxpath.ri.model.beans.CollectionNodeIterator

  `getNodePointer, getPosition, setPosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CollectionChildNodeIterator

    public CollectionChildNodeIterator(CollectionPointer pointer, NodeTest test, boolean reverse, NodePointer startWith)
    Constructs a new CollectionChildNodeIterator.
    Parameters:
      `pointer` - CollectionPointer
      `test` - child test
      `reverse` - iteration order
      `startWith` - starting pointer

- ## Method Details

  - ### getElementNodeIterator

    protected NodeIterator getElementNodeIterator(NodePointer elementPointer)
    Description copied from class: `CollectionNodeIterator`
    Implemented by subclasses to produce child/attribute node iterators.
    Specified by:
      `getElementNodeIterator` in class `CollectionNodeIterator`
    Parameters:
      `elementPointer` - owning pointer
    Returns:
      NodeIterator